#include <kate_includes.h>

#include <smoke.h>
#include <kate_smoke.h>

namespace __smokekate {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KActionCollection
      switch(to) {
        case 1: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 2:   //KComponentData
      switch(to) {
        case 2: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 3:   //KConfigBase
      switch(to) {
        case 3: return (void*)(KConfigBase*)xptr;
        default: return xptr;
      }
    case 4:   //KIcon
      switch(to) {
        case 4: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 5:   //KTextEditor::Document
      switch(to) {
        case 5: return (void*)(KTextEditor::Document*)xptr;
        default: return xptr;
      }
    case 6:   //KTextEditor::Editor
      switch(to) {
        case 6: return (void*)(KTextEditor::Editor*)xptr;
        default: return xptr;
      }
    case 7:   //KTextEditor::View
      switch(to) {
        case 7: return (void*)(KTextEditor::View*)xptr;
        default: return xptr;
      }
    case 8:   //KUrl
      switch(to) {
        case 8: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 9:   //KXMLGUIClient
      switch(to) {
        case 9: return (void*)(KXMLGUIClient*)xptr;
        case 19: return (void*)(Kate::XMLGUIClient*)(KXMLGUIClient*)xptr;
        default: return xptr;
      }
    case 10:   //KXMLGUIFactory
      switch(to) {
        case 42: return (void*)(QObject*)(KXMLGUIFactory*)xptr;
        case 10: return (void*)(KXMLGUIFactory*)xptr;
        default: return xptr;
      }
    case 11:   //Kate::Application
      switch(to) {
        case 42: return (void*)(QObject*)(Kate::Application*)xptr;
        case 11: return (void*)(Kate::Application*)xptr;
        default: return xptr;
      }
    case 12:   //Kate::DocumentManager
      switch(to) {
        case 42: return (void*)(QObject*)(Kate::DocumentManager*)xptr;
        case 12: return (void*)(Kate::DocumentManager*)xptr;
        default: return xptr;
      }
    case 13:   //Kate::MainWindow
      switch(to) {
        case 42: return (void*)(QObject*)(Kate::MainWindow*)xptr;
        case 13: return (void*)(Kate::MainWindow*)xptr;
        default: return xptr;
      }
    case 14:   //Kate::Plugin
      switch(to) {
        case 42: return (void*)(QObject*)(Kate::Plugin*)xptr;
        case 14: return (void*)(Kate::Plugin*)xptr;
        default: return xptr;
      }
    case 15:   //Kate::PluginConfigPage
      switch(to) {
        case 56: return (void*)(QWidget*)(Kate::PluginConfigPage*)xptr;
        case 42: return (void*)(QObject*)(Kate::PluginConfigPage*)xptr;
        case 15: return (void*)(Kate::PluginConfigPage*)xptr;
        default: return xptr;
      }
    case 16:   //Kate::PluginConfigPageInterface
      switch(to) {
        case 16: return (void*)(Kate::PluginConfigPageInterface*)xptr;
        default: return xptr;
      }
    case 17:   //Kate::PluginManager
      switch(to) {
        case 42: return (void*)(QObject*)(Kate::PluginManager*)xptr;
        case 17: return (void*)(Kate::PluginManager*)xptr;
        default: return xptr;
      }
    case 18:   //Kate::PluginView
      switch(to) {
        case 42: return (void*)(QObject*)(Kate::PluginView*)xptr;
        case 18: return (void*)(Kate::PluginView*)xptr;
        default: return xptr;
      }
    case 19:   //Kate::XMLGUIClient
      switch(to) {
        case 9: return (void*)(KXMLGUIClient*)(Kate::XMLGUIClient*)xptr;
        case 19: return (void*)(Kate::XMLGUIClient*)xptr;
        default: return xptr;
      }
    case 20:   //QAction
      switch(to) {
        case 20: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 21:   //QActionEvent
      switch(to) {
        case 21: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QBool
      switch(to) {
        case 22: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 23:   //QChildEvent
      switch(to) {
        case 23: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QCloseEvent
      switch(to) {
        case 24: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QContextMenuEvent
      switch(to) {
        case 25: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 26:   //QDomDocument
      switch(to) {
        case 26: return (void*)(QDomDocument*)xptr;
        default: return xptr;
      }
    case 27:   //QDomElement
      switch(to) {
        case 27: return (void*)(QDomElement*)xptr;
        default: return xptr;
      }
    case 28:   //QDragEnterEvent
      switch(to) {
        case 28: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 29:   //QDragLeaveEvent
      switch(to) {
        case 29: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 30:   //QDragMoveEvent
      switch(to) {
        case 30: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QDropEvent
      switch(to) {
        case 31: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QEvent
      switch(to) {
        case 32: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 33:   //QFocusEvent
      switch(to) {
        case 33: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 34:   //QFont
      switch(to) {
        case 34: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 36:   //QHideEvent
      switch(to) {
        case 36: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 37:   //QInputMethodEvent
      switch(to) {
        case 37: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 38:   //QKeyEvent
      switch(to) {
        case 38: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 39:   //QMetaObject
      switch(to) {
        case 39: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 40:   //QMouseEvent
      switch(to) {
        case 40: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QMoveEvent
      switch(to) {
        case 41: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QObject
      switch(to) {
        case 42: return (void*)(QObject*)xptr;
        case 17: return (void*)(Kate::PluginManager*)(QObject*)xptr;
        case 12: return (void*)(Kate::DocumentManager*)(QObject*)xptr;
        case 18: return (void*)(Kate::PluginView*)(QObject*)xptr;
        case 15: return (void*)(Kate::PluginConfigPage*)(QObject*)xptr;
        case 13: return (void*)(Kate::MainWindow*)(QObject*)xptr;
        case 14: return (void*)(Kate::Plugin*)(QObject*)xptr;
        case 11: return (void*)(Kate::Application*)(QObject*)xptr;
        default: return xptr;
      }
    case 43:   //QPaintEngine
      switch(to) {
        case 43: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 44:   //QPaintEvent
      switch(to) {
        case 44: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QPalette
      switch(to) {
        case 45: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 46:   //QPixmap
      switch(to) {
        case 46: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 47:   //QRegExp
      switch(to) {
        case 47: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 48:   //QResizeEvent
      switch(to) {
        case 48: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 49:   //QShowEvent
      switch(to) {
        case 49: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 50:   //QSize
      switch(to) {
        case 50: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 51:   //QStyle
      switch(to) {
        case 51: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 52:   //QTabletEvent
      switch(to) {
        case 52: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 53:   //QTimerEvent
      switch(to) {
        case 53: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 54:   //QVariant
      switch(to) {
        case 54: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 55:   //QWheelEvent
      switch(to) {
        case 55: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 56:   //QWidget
      switch(to) {
        case 42: return (void*)(QObject*)(QWidget*)xptr;
        case 56: return (void*)(QWidget*)xptr;
        case 15: return (void*)(Kate::PluginConfigPage*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    42, 0,	// 1: QObject
    56, 0,	// 3: QWidget
    9, 0,	// 5: KXMLGUIClient
};

// These are the xenum functions for manipulating enum pointers
void xenum_Kate__MainWindow(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Kate__Application(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__DocumentManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__MainWindow(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__PluginConfigPage(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__PluginConfigPageInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__PluginManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__PluginView(Smoke::Index, void*, Smoke::Stack);
void xcall_Kate__XMLGUIClient(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//1
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//2
    { "KConfigBase", true, 0, 0, 0, 0, 0 },	//3
    { "KIcon", true, 0, 0, 0, 0, 0 },	//4
    { "KTextEditor::Document", true, 0, 0, 0, 0, 0 },	//5
    { "KTextEditor::Editor", true, 0, 0, 0, 0, 0 },	//6
    { "KTextEditor::View", true, 0, 0, 0, 0, 0 },	//7
    { "KUrl", true, 0, 0, 0, 0, 0 },	//8
    { "KXMLGUIClient", true, 0, 0, 0, 0, 0 },	//9
    { "KXMLGUIFactory", true, 0, 0, 0, 0, 0 },	//10
    { "Kate::Application", false, 1, xcall_Kate__Application, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::Application) },	//11
    { "Kate::DocumentManager", false, 1, xcall_Kate__DocumentManager, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::DocumentManager) },	//12
    { "Kate::MainWindow", false, 1, xcall_Kate__MainWindow, xenum_Kate__MainWindow, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::MainWindow) },	//13
    { "Kate::Plugin", false, 1, xcall_Kate__Plugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::Plugin) },	//14
    { "Kate::PluginConfigPage", false, 3, xcall_Kate__PluginConfigPage, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::PluginConfigPage) },	//15
    { "Kate::PluginConfigPageInterface", false, 0, xcall_Kate__PluginConfigPageInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Kate::PluginConfigPageInterface) },	//16
    { "Kate::PluginManager", false, 1, xcall_Kate__PluginManager, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::PluginManager) },	//17
    { "Kate::PluginView", false, 1, xcall_Kate__PluginView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Kate::PluginView) },	//18
    { "Kate::XMLGUIClient", false, 5, xcall_Kate__XMLGUIClient, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Kate::XMLGUIClient) },	//19
    { "QAction", true, 0, 0, 0, 0, 0 },	//20
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QBool", true, 0, 0, 0, 0, 0 },	//22
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//25
    { "QDomDocument", true, 0, 0, 0, 0, 0 },	//26
    { "QDomElement", true, 0, 0, 0, 0, 0 },	//27
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//28
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//29
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//33
    { "QFont", true, 0, 0, 0, 0, 0 },	//34
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, 0, Smoke::cf_namespace, 0 },	//35
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//36
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//37
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//38
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//39
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QObject", true, 0, 0, 0, 0, 0 },	//42
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//43
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QPalette", true, 0, 0, 0, 0, 0 },	//45
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//46
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//47
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//48
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//49
    { "QSize", true, 0, 0, 0, 0, 0 },	//50
    { "QStyle", true, 0, 0, 0, 0, 0 },	//51
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//52
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//53
    { "QVariant", true, 0, 0, 0, 0, 0 },	//54
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//55
    { "QWidget", true, 0, 0, 0, 0, 0 },	//56
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KActionCollection*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KComponentData", 2, Smoke::t_class|Smoke::tf_stack },	//2
    { "KConfigBase*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//4
    { "KIcon", 4, Smoke::t_class|Smoke::tf_stack },	//5
    { "KTextEditor::Document*", 5, Smoke::t_class|Smoke::tf_ptr },	//6
    { "KTextEditor::Editor*", 6, Smoke::t_class|Smoke::tf_ptr },	//7
    { "KTextEditor::View*", 7, Smoke::t_class|Smoke::tf_ptr },	//8
    { "KXMLGUIClient::ReverseStateChange", 9, Smoke::t_enum|Smoke::tf_stack },	//9
    { "KXMLGUIFactory*", 10, Smoke::t_class|Smoke::tf_ptr },	//10
    { "Kate::Application*", 11, Smoke::t_class|Smoke::tf_ptr },	//11
    { "Kate::DocumentManager*", 12, Smoke::t_class|Smoke::tf_ptr },	//12
    { "Kate::MainWindow*", 13, Smoke::t_class|Smoke::tf_ptr },	//13
    { "Kate::MainWindow::Position", 13, Smoke::t_enum|Smoke::tf_stack },	//14
    { "Kate::Plugin*", 14, Smoke::t_class|Smoke::tf_ptr },	//15
    { "Kate::PluginConfigPage*", 15, Smoke::t_class|Smoke::tf_ptr },	//16
    { "Kate::PluginConfigPageInterface*", 16, Smoke::t_class|Smoke::tf_ptr },	//17
    { "Kate::PluginManager*", 17, Smoke::t_class|Smoke::tf_ptr },	//18
    { "Kate::PluginView*", 18, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Kate::XMLGUIClient*", 19, Smoke::t_class|Smoke::tf_ptr },	//20
    { "QAction*", 20, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QActionEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QBool", 22, Smoke::t_class|Smoke::tf_stack },	//23
    { "QChildEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QCloseEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QContextMenuEvent*", 25, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QDomDocument", 26, Smoke::t_class|Smoke::tf_stack },	//27
    { "QDragEnterEvent*", 28, Smoke::t_class|Smoke::tf_ptr },	//28
    { "QDragLeaveEvent*", 29, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QDragMoveEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//30
    { "QDropEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//32
    { "QFocusEvent*", 33, Smoke::t_class|Smoke::tf_ptr },	//33
    { "QHideEvent*", 36, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QInputMethodEvent*", 37, Smoke::t_class|Smoke::tf_ptr },	//35
    { "QKeyEvent*", 38, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QList<KTextEditor::Document*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//37
    { "QMetaObject::Call", 39, Smoke::t_enum|Smoke::tf_stack },	//38
    { "QMouseEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//39
    { "QMoveEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//40
    { "QObject*", 42, Smoke::t_class|Smoke::tf_ptr },	//41
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "QPaintEngine*", 43, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QPaintEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//44
    { "QRegExp&", 47, Smoke::t_class|Smoke::tf_ref },	//45
    { "QResizeEvent*", 48, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QShowEvent*", 49, Smoke::t_class|Smoke::tf_ptr },	//47
    { "QSize", 50, Smoke::t_class|Smoke::tf_stack },	//48
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//49
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//50
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//51
    { "QStyle&", 51, Smoke::t_class|Smoke::tf_ref },	//52
    { "QTabletEvent*", 52, Smoke::t_class|Smoke::tf_ptr },	//53
    { "QTimerEvent*", 53, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QVariant", 54, Smoke::t_class|Smoke::tf_stack },	//55
    { "QWheelEvent*", 55, Smoke::t_class|Smoke::tf_ptr },	//56
    { "QWidget*", 56, Smoke::t_class|Smoke::tf_ptr },	//57
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//130
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//131
    { "const KComponentData&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//132
    { "const KUrl&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//133
    { "const Kate::PluginConfigPageInterface&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//134
    { "const Kate::XMLGUIClient&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//135
    { "const QDomDocument&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//136
    { "const QDomElement&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//137
    { "const QFont&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//138
    { "const QList<KTextEditor::Document*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//139
    { "const QList<KTextEditor::View*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//140
    { "const QList<Kate::MainWindow*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//141
    { "const QMetaObject&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//142
    { "const QMetaObject*", 39, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//143
    { "const QPalette&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//144
    { "const QPixmap&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//145
    { "const QRegExp&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//146
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//147
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//148
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//149
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//150
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//151
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//152
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//153
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//154
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//155
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//156
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    137, 0,	//1  const QDomElement&
    132, 0,	//3  const KComponentData&
    147, 131, 131, 0,	//5  const QString&, bool, bool
    147, 0,	//9  const QString&
    147, 131, 0,	//11  const QString&, bool
    136, 131, 0,	//14  const QDomDocument&, bool
    147, 9, 0,	//17  const QString&, KXMLGUIClient::ReverseStateChange
    152, 154, 0,	//20  int, void*
    150, 0,	//23  const char*
    150, 150, 0,	//25  const char*, const char*
    150, 150, 152, 0,	//28  const char*, const char*, int
    38, 152, 155, 0,	//32  QMetaObject::Call, int, void**
    154, 0,	//36  void*
    133, 0,	//38  const KUrl&
    133, 147, 0,	//40  const KUrl&, const QString&
    6, 0,	//43  KTextEditor::Document*
    37, 0,	//45  QList<KTextEditor::Document*>
    8, 0,	//47  KTextEditor::View*
    32, 0,	//49  QEvent*
    147, 19, 0,	//51  const QString&, Kate::PluginView*
    147, 14, 145, 147, 0,	//54  const QString&, Kate::MainWindow::Position, const QPixmap&, const QString&
    15, 147, 14, 145, 147, 0,	//59  Kate::Plugin*, const QString&, Kate::MainWindow::Position, const QPixmap&, const QString&
    57, 14, 0,	//65  QWidget*, Kate::MainWindow::Position
    57, 0,	//68  QWidget*
    17, 153, 0,	//70  Kate::PluginConfigPageInterface*, unsigned int
    11, 150, 0,	//73  Kate::Application*, const char*
    13, 0,	//76  Kate::MainWindow*
    3, 147, 0,	//78  KConfigBase*, const QString&
    11, 0,	//81  Kate::Application*
    57, 150, 0,	//83  QWidget*, const char*
    153, 57, 150, 0,	//86  unsigned int, QWidget*, const char*
    153, 0,	//90  unsigned int
    134, 0,	//92  const Kate::PluginConfigPageInterface&
    153, 57, 0,	//94  unsigned int, QWidget*
    147, 15, 0,	//97  const QString&, Kate::Plugin*
    135, 0,	//100  const Kate::XMLGUIClient&
    41, 32, 0,	//102  QObject*, QEvent*
    54, 0,	//105  QTimerEvent*
    24, 0,	//107  QChildEvent*
    131, 0,	//109  bool
    152, 0,	//111  int
    39, 0,	//113  QMouseEvent*
    56, 0,	//115  QWheelEvent*
    36, 0,	//117  QKeyEvent*
    33, 0,	//119  QFocusEvent*
    44, 0,	//121  QPaintEvent*
    40, 0,	//123  QMoveEvent*
    46, 0,	//125  QResizeEvent*
    25, 0,	//127  QCloseEvent*
    26, 0,	//129  QContextMenuEvent*
    53, 0,	//131  QTabletEvent*
    22, 0,	//133  QActionEvent*
    28, 0,	//135  QDragEnterEvent*
    30, 0,	//137  QDragMoveEvent*
    29, 0,	//139  QDragLeaveEvent*
    31, 0,	//141  QDropEvent*
    47, 0,	//143  QShowEvent*
    34, 0,	//145  QHideEvent*
    130, 0,	//147  _XEvent*
    42, 0,	//149  QPaintDevice::PaintDeviceMetric
    35, 0,	//151  QInputMethodEvent*
    92, 0,	//153  Qt::InputMethodQuery
    52, 0,	//155  QStyle&
    144, 0,	//157  const QPalette&
    138, 0,	//159  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Application",	//1
    "Application$",	//2
    "Bottom",	//3
    "DocumentManager",	//4
    "DocumentManager$",	//5
    "DrawChildren",	//6
    "DrawWindowBackground",	//7
    "IgnoreMask",	//8
    "Left",	//9
    "MainWindow",	//10
    "MainWindow$",	//11
    "Plugin",	//12
    "Plugin#",	//13
    "Plugin#$",	//14
    "PluginConfigPage",	//15
    "PluginConfigPage#",	//16
    "PluginConfigPage#$",	//17
    "PluginConfigPageInterface",	//18
    "PluginConfigPageInterface#",	//19
    "PluginManager",	//20
    "PluginManager$",	//21
    "PluginView",	//22
    "PluginView#",	//23
    "Right",	//24
    "StateNoReverse",	//25
    "StateReverse",	//26
    "Top",	//27
    "XMLGUIClient",	//28
    "XMLGUIClient#",	//29
    "action",	//30
    "actionCollection",	//31
    "actionEvent",	//32
    "activateView",	//33
    "activateView#",	//34
    "activeMainWindow",	//35
    "activeView",	//36
    "application",	//37
    "apply",	//38
    "centralWidget",	//39
    "changeEvent",	//40
    "changed",	//41
    "childEvent",	//42
    "closeDocument",	//43
    "closeDocument#",	//44
    "closeDocumentList",	//45
    "closeDocumentList?",	//46
    "closeEvent",	//47
    "componentData",	//48
    "configPage",	//49
    "configPage$",	//50
    "configPage$#",	//51
    "configPage$#$",	//52
    "configPageFullName",	//53
    "configPageFullName$",	//54
    "configPageIcon",	//55
    "configPageIcon$",	//56
    "configPageName",	//57
    "configPageName$",	//58
    "configPages",	//59
    "connectNotify",	//60
    "contextMenuEvent",	//61
    "createToolView",	//62
    "createToolView#$$#$",	//63
    "createToolView$$#$",	//64
    "createView",	//65
    "createView#",	//66
    "customEvent",	//67
    "defaults",	//68
    "devType",	//69
    "disconnectNotify",	//70
    "documentCreated",	//71
    "documentCreated#",	//72
    "documentDeleted",	//73
    "documentDeleted#",	//74
    "documentManager",	//75
    "documentWillBeDeleted",	//76
    "documentWillBeDeleted#",	//77
    "documents",	//78
    "domDocument",	//79
    "dragEnterEvent",	//80
    "dragLeaveEvent",	//81
    "dragMoveEvent",	//82
    "dropEvent",	//83
    "editor",	//84
    "enabledChange",	//85
    "enterEvent",	//86
    "event",	//87
    "eventFilter",	//88
    "findUrl",	//89
    "findUrl#",	//90
    "focusInEvent",	//91
    "focusNextPrevChild",	//92
    "focusOutEvent",	//93
    "fontChange",	//94
    "guiFactory",	//95
    "heightForWidth",	//96
    "hideEvent",	//97
    "hideToolView",	//98
    "hideToolView#",	//99
    "inputMethodEvent",	//100
    "inputMethodQuery",	//101
    "keyPressEvent",	//102
    "keyReleaseEvent",	//103
    "languageChange",	//104
    "leaveEvent",	//105
    "loadPlugin",	//106
    "loadPlugin$",	//107
    "loadPlugin$$",	//108
    "localXMLFile",	//109
    "mainWindow",	//110
    "mainWindows",	//111
    "metaObject",	//112
    "metric",	//113
    "minimumSizeHint",	//114
    "mouseDoubleClickEvent",	//115
    "mouseMoveEvent",	//116
    "mousePressEvent",	//117
    "mouseReleaseEvent",	//118
    "moveEvent",	//119
    "moveToolView",	//120
    "moveToolView#$",	//121
    "openUrl",	//122
    "openUrl#",	//123
    "openUrl#$",	//124
    "paintEngine",	//125
    "paintEvent",	//126
    "paletteChange",	//127
    "plugin",	//128
    "plugin$",	//129
    "pluginAvailable",	//130
    "pluginAvailable$",	//131
    "pluginConfigPageInterfaceNumber",	//132
    "pluginLoaded",	//133
    "pluginLoaded$#",	//134
    "pluginManager",	//135
    "pluginUnloaded",	//136
    "pluginUnloaded$#",	//137
    "pluginView",	//138
    "pluginView$",	//139
    "pluginViewCreated",	//140
    "pluginViewCreated$#",	//141
    "pluginViewDeleted",	//142
    "pluginViewDeleted$#",	//143
    "qt_metacall",	//144
    "qt_metacall$$?",	//145
    "qt_metacast",	//146
    "qt_metacast$",	//147
    "readSessionConfig",	//148
    "readSessionConfig#$",	//149
    "reset",	//150
    "resizeEvent",	//151
    "setComponentData",	//152
    "setDOMDocument",	//153
    "setLocalXMLFile",	//154
    "setVisible",	//155
    "setXML",	//156
    "setXMLFile",	//157
    "showEvent",	//158
    "showPluginConfigPage",	//159
    "showPluginConfigPage#$",	//160
    "showToolView",	//161
    "showToolView#",	//162
    "sizeHint",	//163
    "stateChanged",	//164
    "staticMetaObject",	//165
    "styleChange",	//166
    "tabletEvent",	//167
    "timerEvent",	//168
    "tr",	//169
    "tr$",	//170
    "tr$$",	//171
    "tr$$$",	//172
    "trUtf8",	//173
    "trUtf8$",	//174
    "trUtf8$$",	//175
    "trUtf8$$$",	//176
    "unhandledShortcutOverride",	//177
    "unhandledShortcutOverride#",	//178
    "unloadPlugin",	//179
    "unloadPlugin$",	//180
    "unloadPlugin$$",	//181
    "viewChanged",	//182
    "viewCreated",	//183
    "viewCreated#",	//184
    "views",	//185
    "virtual_hook",	//186
    "wheelEvent",	//187
    "window",	//188
    "windowActivationChange",	//189
    "writeSessionConfig",	//190
    "writeSessionConfig#$",	//191
    "x11Event",	//192
    "xmlFile",	//193
    "~Application",	//194
    "~DocumentManager",	//195
    "~MainWindow",	//196
    "~Plugin",	//197
    "~PluginConfigPage",	//198
    "~PluginConfigPageInterface",	//199
    "~PluginManager",	//200
    "~PluginView",	//201
    "~XMLGUIClient",	//202
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {9, 30, 1, 1, Smoke::mf_const|Smoke::mf_virtual, 21, 0},	//1 KXMLGUIClient::action(const QDomElement&) const
    {9, 31, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 1, 0},	//2 KXMLGUIClient::actionCollection() const
    {9, 48, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 2, 0},	//3 KXMLGUIClient::componentData() const
    {9, 79, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 0},	//4 KXMLGUIClient::domDocument() const
    {9, 193, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 49, 0},	//5 KXMLGUIClient::xmlFile() const
    {9, 109, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 49, 0},	//6 KXMLGUIClient::localXMLFile() const
    {9, 152, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//7 KXMLGUIClient::setComponentData(const KComponentData&)
    {9, 157, 5, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//8 KXMLGUIClient::setXMLFile(const QString&, bool, bool)
    {9, 154, 9, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//9 KXMLGUIClient::setLocalXMLFile(const QString&)
    {9, 156, 11, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//10 KXMLGUIClient::setXML(const QString&, bool)
    {9, 153, 14, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//11 KXMLGUIClient::setDOMDocument(const QDomDocument&, bool)
    {9, 164, 17, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//12 KXMLGUIClient::stateChanged(const QString&, KXMLGUIClient::ReverseStateChange)
    {9, 186, 20, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//13 KXMLGUIClient::virtual_hook(int, void*)
    {9, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 14},	//14 KXMLGUIClient::StateNoReverse (enum)
    {9, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 15},	//15 KXMLGUIClient::StateReverse (enum)
    {11, 112, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 143, 1},	//16 Kate::Application::metaObject() const
    {11, 146, 23, 1, Smoke::mf_virtual, 154, 2},	//17 Kate::Application::qt_metacast(const char*)
    {11, 169, 25, 2, Smoke::mf_static, 49, 3},	//18 Kate::Application::tr(const char*, const char*)
    {11, 173, 25, 2, Smoke::mf_static, 49, 4},	//19 Kate::Application::trUtf8(const char*, const char*)
    {11, 169, 28, 3, Smoke::mf_static, 49, 5},	//20 Kate::Application::tr(const char*, const char*, int)
    {11, 173, 28, 3, Smoke::mf_static, 49, 6},	//21 Kate::Application::trUtf8(const char*, const char*, int)
    {11, 144, 32, 3, Smoke::mf_virtual, 152, 7},	//22 Kate::Application::qt_metacall(QMetaObject::Call, int, void**)
    {11, 1, 36, 1, Smoke::mf_ctor, 11, 8},	//23 Kate::Application::Application(void*)
    {11, 75, 0, 0, 0, 12, 9},	//24 Kate::Application::documentManager()
    {11, 135, 0, 0, 0, 18, 10},	//25 Kate::Application::pluginManager()
    {11, 84, 0, 0, 0, 7, 11},	//26 Kate::Application::editor()
    {11, 35, 0, 0, 0, 13, 12},	//27 Kate::Application::activeMainWindow()
    {11, 111, 0, 0, Smoke::mf_const, 141, 13},	//28 Kate::Application::mainWindows() const
    {11, 169, 23, 1, Smoke::mf_static, 49, 14},	//29 Kate::Application::tr(const char*)
    {11, 173, 23, 1, Smoke::mf_static, 49, 15},	//30 Kate::Application::trUtf8(const char*)
    {11, 165, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 142, 16},	//31 Kate::Application::staticMetaObject() const
    {11, 194, 0, 0, Smoke::mf_dtor, 0, 17 },	//32 Kate::Application::~Application()
    {12, 112, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 143, 1},	//33 Kate::DocumentManager::metaObject() const
    {12, 146, 23, 1, Smoke::mf_virtual, 154, 2},	//34 Kate::DocumentManager::qt_metacast(const char*)
    {12, 169, 25, 2, Smoke::mf_static, 49, 3},	//35 Kate::DocumentManager::tr(const char*, const char*)
    {12, 173, 25, 2, Smoke::mf_static, 49, 4},	//36 Kate::DocumentManager::trUtf8(const char*, const char*)
    {12, 169, 28, 3, Smoke::mf_static, 49, 5},	//37 Kate::DocumentManager::tr(const char*, const char*, int)
    {12, 173, 28, 3, Smoke::mf_static, 49, 6},	//38 Kate::DocumentManager::trUtf8(const char*, const char*, int)
    {12, 144, 32, 3, Smoke::mf_virtual, 152, 7},	//39 Kate::DocumentManager::qt_metacall(QMetaObject::Call, int, void**)
    {12, 4, 36, 1, Smoke::mf_ctor, 12, 8},	//40 Kate::DocumentManager::DocumentManager(void*)
    {12, 78, 0, 0, Smoke::mf_const, 139, 9},	//41 Kate::DocumentManager::documents() const
    {12, 89, 38, 1, Smoke::mf_const, 6, 10},	//42 Kate::DocumentManager::findUrl(const KUrl&) const
    {12, 122, 40, 2, 0, 6, 11},	//43 Kate::DocumentManager::openUrl(const KUrl&, const QString&)
    {12, 43, 43, 1, 0, 131, 12},	//44 Kate::DocumentManager::closeDocument(KTextEditor::Document*)
    {12, 45, 45, 1, 0, 131, 13},	//45 Kate::DocumentManager::closeDocumentList(QList<KTextEditor::Document*>)
    {12, 71, 43, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//46 Kate::DocumentManager::documentCreated(KTextEditor::Document*)
    {12, 76, 43, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//47 Kate::DocumentManager::documentWillBeDeleted(KTextEditor::Document*)
    {12, 73, 43, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//48 Kate::DocumentManager::documentDeleted(KTextEditor::Document*)
    {12, 169, 23, 1, Smoke::mf_static, 49, 17},	//49 Kate::DocumentManager::tr(const char*)
    {12, 173, 23, 1, Smoke::mf_static, 49, 18},	//50 Kate::DocumentManager::trUtf8(const char*)
    {12, 122, 38, 1, 0, 6, 19},	//51 Kate::DocumentManager::openUrl(const KUrl&)
    {12, 165, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 142, 20},	//52 Kate::DocumentManager::staticMetaObject() const
    {12, 195, 0, 0, Smoke::mf_dtor, 0, 21 },	//53 Kate::DocumentManager::~DocumentManager()
    {13, 112, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 143, 1},	//54 Kate::MainWindow::metaObject() const
    {13, 146, 23, 1, Smoke::mf_virtual, 154, 2},	//55 Kate::MainWindow::qt_metacast(const char*)
    {13, 169, 25, 2, Smoke::mf_static, 49, 3},	//56 Kate::MainWindow::tr(const char*, const char*)
    {13, 173, 25, 2, Smoke::mf_static, 49, 4},	//57 Kate::MainWindow::trUtf8(const char*, const char*)
    {13, 169, 28, 3, Smoke::mf_static, 49, 5},	//58 Kate::MainWindow::tr(const char*, const char*, int)
    {13, 173, 28, 3, Smoke::mf_static, 49, 6},	//59 Kate::MainWindow::trUtf8(const char*, const char*, int)
    {13, 144, 32, 3, Smoke::mf_virtual, 152, 7},	//60 Kate::MainWindow::qt_metacall(QMetaObject::Call, int, void**)
    {13, 10, 36, 1, Smoke::mf_ctor, 13, 8},	//61 Kate::MainWindow::MainWindow(void*)
    {13, 95, 0, 0, Smoke::mf_const, 10, 9},	//62 Kate::MainWindow::guiFactory() const
    {13, 188, 0, 0, Smoke::mf_const, 57, 10},	//63 Kate::MainWindow::window() const
    {13, 39, 0, 0, Smoke::mf_const, 57, 11},	//64 Kate::MainWindow::centralWidget() const
    {13, 185, 0, 0, Smoke::mf_const, 140, 12},	//65 Kate::MainWindow::views() const
    {13, 36, 0, 0, 0, 8, 13},	//66 Kate::MainWindow::activeView()
    {13, 33, 43, 1, 0, 8, 14},	//67 Kate::MainWindow::activateView(KTextEditor::Document*)
    {13, 122, 40, 2, 0, 8, 15},	//68 Kate::MainWindow::openUrl(const KUrl&, const QString&)
    {13, 182, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//69 Kate::MainWindow::viewChanged()
    {13, 183, 47, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//70 Kate::MainWindow::viewCreated(KTextEditor::View*)
    {13, 177, 49, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//71 Kate::MainWindow::unhandledShortcutOverride(QEvent*)
    {13, 140, 51, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//72 Kate::MainWindow::pluginViewCreated(const QString&, Kate::PluginView*)
    {13, 142, 51, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//73 Kate::MainWindow::pluginViewDeleted(const QString&, Kate::PluginView*)
    {13, 62, 54, 4, 0, 57, 21},	//74 Kate::MainWindow::createToolView(const QString&, Kate::MainWindow::Position, const QPixmap&, const QString&)
    {13, 62, 59, 5, 0, 57, 22},	//75 Kate::MainWindow::createToolView(Kate::Plugin*, const QString&, Kate::MainWindow::Position, const QPixmap&, const QString&)
    {13, 120, 65, 2, 0, 131, 23},	//76 Kate::MainWindow::moveToolView(QWidget*, Kate::MainWindow::Position)
    {13, 161, 68, 1, 0, 131, 24},	//77 Kate::MainWindow::showToolView(QWidget*)
    {13, 98, 68, 1, 0, 131, 25},	//78 Kate::MainWindow::hideToolView(QWidget*)
    {13, 159, 70, 2, 0, 0, 26},	//79 Kate::MainWindow::showPluginConfigPage(Kate::PluginConfigPageInterface*, unsigned int)
    {13, 138, 9, 1, 0, 19, 27},	//80 Kate::MainWindow::pluginView(const QString&)
    {13, 169, 23, 1, Smoke::mf_static, 49, 28},	//81 Kate::MainWindow::tr(const char*)
    {13, 173, 23, 1, Smoke::mf_static, 49, 29},	//82 Kate::MainWindow::trUtf8(const char*)
    {13, 122, 38, 1, 0, 8, 30},	//83 Kate::MainWindow::openUrl(const KUrl&)
    {13, 165, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 142, 31},	//84 Kate::MainWindow::staticMetaObject() const
    {13, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 32},	//85 Kate::MainWindow::Left (enum)
    {13, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 33},	//86 Kate::MainWindow::Right (enum)
    {13, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 34},	//87 Kate::MainWindow::Top (enum)
    {13, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 35},	//88 Kate::MainWindow::Bottom (enum)
    {13, 196, 0, 0, Smoke::mf_dtor, 0, 36 },	//89 Kate::MainWindow::~MainWindow()
    {14, 112, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 143, 1},	//90 Kate::Plugin::metaObject() const
    {14, 146, 23, 1, Smoke::mf_virtual, 154, 2},	//91 Kate::Plugin::qt_metacast(const char*)
    {14, 169, 25, 2, Smoke::mf_static, 49, 3},	//92 Kate::Plugin::tr(const char*, const char*)
    {14, 173, 25, 2, Smoke::mf_static, 49, 4},	//93 Kate::Plugin::trUtf8(const char*, const char*)
    {14, 169, 28, 3, Smoke::mf_static, 49, 5},	//94 Kate::Plugin::tr(const char*, const char*, int)
    {14, 173, 28, 3, Smoke::mf_static, 49, 6},	//95 Kate::Plugin::trUtf8(const char*, const char*, int)
    {14, 144, 32, 3, Smoke::mf_virtual, 152, 7},	//96 Kate::Plugin::qt_metacall(QMetaObject::Call, int, void**)
    {14, 12, 73, 2, Smoke::mf_ctor, 15, 8},	//97 Kate::Plugin::Plugin(Kate::Application*, const char*)
    {14, 37, 0, 0, Smoke::mf_const, 11, 9},	//98 Kate::Plugin::application() const
    {14, 65, 76, 1, Smoke::mf_virtual, 19, 10},	//99 Kate::Plugin::createView(Kate::MainWindow*)
    {14, 148, 78, 2, Smoke::mf_virtual, 0, 11},	//100 Kate::Plugin::readSessionConfig(KConfigBase*, const QString&)
    {14, 190, 78, 2, Smoke::mf_virtual, 0, 12},	//101 Kate::Plugin::writeSessionConfig(KConfigBase*, const QString&)
    {14, 169, 23, 1, Smoke::mf_static, 49, 13},	//102 Kate::Plugin::tr(const char*)
    {14, 173, 23, 1, Smoke::mf_static, 49, 14},	//103 Kate::Plugin::trUtf8(const char*)
    {14, 12, 0, 0, Smoke::mf_ctor, 15, 15},	//104 Kate::Plugin::Plugin()
    {14, 12, 81, 1, Smoke::mf_ctor, 15, 16},	//105 Kate::Plugin::Plugin(Kate::Application*)
    {14, 165, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 142, 17},	//106 Kate::Plugin::staticMetaObject() const
    {14, 197, 0, 0, Smoke::mf_dtor, 0, 18 },	//107 Kate::Plugin::~Plugin()
    {15, 112, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 143, 1},	//108 Kate::PluginConfigPage::metaObject() const
    {15, 146, 23, 1, Smoke::mf_virtual, 154, 2},	//109 Kate::PluginConfigPage::qt_metacast(const char*)
    {15, 169, 25, 2, Smoke::mf_static, 49, 3},	//110 Kate::PluginConfigPage::tr(const char*, const char*)
    {15, 173, 25, 2, Smoke::mf_static, 49, 4},	//111 Kate::PluginConfigPage::trUtf8(const char*, const char*)
    {15, 169, 28, 3, Smoke::mf_static, 49, 5},	//112 Kate::PluginConfigPage::tr(const char*, const char*, int)
    {15, 173, 28, 3, Smoke::mf_static, 49, 6},	//113 Kate::PluginConfigPage::trUtf8(const char*, const char*, int)
    {15, 144, 32, 3, Smoke::mf_virtual, 152, 7},	//114 Kate::PluginConfigPage::qt_metacall(QMetaObject::Call, int, void**)
    {15, 15, 83, 2, Smoke::mf_ctor, 16, 8},	//115 Kate::PluginConfigPage::PluginConfigPage(QWidget*, const char*)
    {15, 38, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//116 Kate::PluginConfigPage::apply() [pure virtual]
    {15, 150, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//117 Kate::PluginConfigPage::reset() [pure virtual]
    {15, 68, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 11},	//118 Kate::PluginConfigPage::defaults() [pure virtual]
    {15, 41, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//119 Kate::PluginConfigPage::changed()
    {15, 169, 23, 1, Smoke::mf_static, 49, 13},	//120 Kate::PluginConfigPage::tr(const char*)
    {15, 173, 23, 1, Smoke::mf_static, 49, 14},	//121 Kate::PluginConfigPage::trUtf8(const char*)
    {15, 15, 0, 0, Smoke::mf_ctor, 16, 15},	//122 Kate::PluginConfigPage::PluginConfigPage()
    {15, 15, 68, 1, Smoke::mf_ctor, 16, 16},	//123 Kate::PluginConfigPage::PluginConfigPage(QWidget*)
    {15, 165, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 142, 17},	//124 Kate::PluginConfigPage::staticMetaObject() const
    {15, 198, 0, 0, Smoke::mf_dtor, 0, 18 },	//125 Kate::PluginConfigPage::~PluginConfigPage()
    {16, 18, 0, 0, Smoke::mf_ctor, 17, 1},	//126 Kate::PluginConfigPageInterface::PluginConfigPageInterface()
    {16, 132, 0, 0, Smoke::mf_const, 153, 2},	//127 Kate::PluginConfigPageInterface::pluginConfigPageInterfaceNumber() const
    {16, 59, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 153, 3},	//128 Kate::PluginConfigPageInterface::configPages() const [pure virtual]
    {16, 49, 86, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 16, 4},	//129 Kate::PluginConfigPageInterface::configPage(unsigned int, QWidget*, const char*) [pure virtual]
    {16, 57, 90, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 49, 5},	//130 Kate::PluginConfigPageInterface::configPageName(unsigned int) const [pure virtual]
    {16, 53, 90, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 49, 6},	//131 Kate::PluginConfigPageInterface::configPageFullName(unsigned int) const [pure virtual]
    {16, 55, 90, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 5, 7},	//132 Kate::PluginConfigPageInterface::configPageIcon(unsigned int) const [pure virtual]
    {16, 18, 92, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 17, 8},	//133 Kate::PluginConfigPageInterface::PluginConfigPageInterface(const Kate::PluginConfigPageInterface&)
    {16, 49, 0, 0, 0, 16, 9},	//134 Kate::PluginConfigPageInterface::configPage()
    {16, 49, 90, 1, 0, 16, 10},	//135 Kate::PluginConfigPageInterface::configPage(unsigned int)
    {16, 49, 94, 2, 0, 16, 11},	//136 Kate::PluginConfigPageInterface::configPage(unsigned int, QWidget*)
    {16, 57, 0, 0, Smoke::mf_const, 49, 12},	//137 Kate::PluginConfigPageInterface::configPageName() const
    {16, 53, 0, 0, Smoke::mf_const, 49, 13},	//138 Kate::PluginConfigPageInterface::configPageFullName() const
    {16, 55, 0, 0, Smoke::mf_const, 5, 14},	//139 Kate::PluginConfigPageInterface::configPageIcon() const
    {16, 199, 0, 0, Smoke::mf_dtor, 0, 15 },	//140 Kate::PluginConfigPageInterface::~PluginConfigPageInterface()
    {17, 112, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 143, 1},	//141 Kate::PluginManager::metaObject() const
    {17, 146, 23, 1, Smoke::mf_virtual, 154, 2},	//142 Kate::PluginManager::qt_metacast(const char*)
    {17, 169, 25, 2, Smoke::mf_static, 49, 3},	//143 Kate::PluginManager::tr(const char*, const char*)
    {17, 173, 25, 2, Smoke::mf_static, 49, 4},	//144 Kate::PluginManager::trUtf8(const char*, const char*)
    {17, 169, 28, 3, Smoke::mf_static, 49, 5},	//145 Kate::PluginManager::tr(const char*, const char*, int)
    {17, 173, 28, 3, Smoke::mf_static, 49, 6},	//146 Kate::PluginManager::trUtf8(const char*, const char*, int)
    {17, 144, 32, 3, Smoke::mf_virtual, 152, 7},	//147 Kate::PluginManager::qt_metacall(QMetaObject::Call, int, void**)
    {17, 20, 36, 1, Smoke::mf_ctor, 18, 8},	//148 Kate::PluginManager::PluginManager(void*)
    {17, 128, 9, 1, 0, 15, 9},	//149 Kate::PluginManager::plugin(const QString&)
    {17, 130, 9, 1, 0, 131, 10},	//150 Kate::PluginManager::pluginAvailable(const QString&)
    {17, 106, 11, 2, 0, 15, 11},	//151 Kate::PluginManager::loadPlugin(const QString&, bool)
    {17, 179, 11, 2, 0, 0, 12},	//152 Kate::PluginManager::unloadPlugin(const QString&, bool)
    {17, 133, 97, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//153 Kate::PluginManager::pluginLoaded(const QString&, Kate::Plugin*)
    {17, 136, 97, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//154 Kate::PluginManager::pluginUnloaded(const QString&, Kate::Plugin*)
    {17, 169, 23, 1, Smoke::mf_static, 49, 15},	//155 Kate::PluginManager::tr(const char*)
    {17, 173, 23, 1, Smoke::mf_static, 49, 16},	//156 Kate::PluginManager::trUtf8(const char*)
    {17, 106, 9, 1, 0, 15, 17},	//157 Kate::PluginManager::loadPlugin(const QString&)
    {17, 179, 9, 1, 0, 0, 18},	//158 Kate::PluginManager::unloadPlugin(const QString&)
    {17, 165, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 142, 19},	//159 Kate::PluginManager::staticMetaObject() const
    {17, 200, 0, 0, Smoke::mf_dtor, 0, 20 },	//160 Kate::PluginManager::~PluginManager()
    {18, 112, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 143, 1},	//161 Kate::PluginView::metaObject() const
    {18, 146, 23, 1, Smoke::mf_virtual, 154, 2},	//162 Kate::PluginView::qt_metacast(const char*)
    {18, 169, 25, 2, Smoke::mf_static, 49, 3},	//163 Kate::PluginView::tr(const char*, const char*)
    {18, 173, 25, 2, Smoke::mf_static, 49, 4},	//164 Kate::PluginView::trUtf8(const char*, const char*)
    {18, 169, 28, 3, Smoke::mf_static, 49, 5},	//165 Kate::PluginView::tr(const char*, const char*, int)
    {18, 173, 28, 3, Smoke::mf_static, 49, 6},	//166 Kate::PluginView::trUtf8(const char*, const char*, int)
    {18, 144, 32, 3, Smoke::mf_virtual, 152, 7},	//167 Kate::PluginView::qt_metacall(QMetaObject::Call, int, void**)
    {18, 22, 76, 1, Smoke::mf_ctor, 19, 8},	//168 Kate::PluginView::PluginView(Kate::MainWindow*)
    {18, 110, 0, 0, Smoke::mf_const, 13, 9},	//169 Kate::PluginView::mainWindow() const
    {18, 148, 78, 2, Smoke::mf_virtual, 0, 10},	//170 Kate::PluginView::readSessionConfig(KConfigBase*, const QString&)
    {18, 190, 78, 2, Smoke::mf_virtual, 0, 11},	//171 Kate::PluginView::writeSessionConfig(KConfigBase*, const QString&)
    {18, 169, 23, 1, Smoke::mf_static, 49, 12},	//172 Kate::PluginView::tr(const char*)
    {18, 173, 23, 1, Smoke::mf_static, 49, 13},	//173 Kate::PluginView::trUtf8(const char*)
    {18, 165, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 142, 14},	//174 Kate::PluginView::staticMetaObject() const
    {18, 201, 0, 0, Smoke::mf_dtor, 0, 15 },	//175 Kate::PluginView::~PluginView()
    {19, 28, 3, 1, Smoke::mf_ctor, 20, 1},	//176 Kate::XMLGUIClient::XMLGUIClient(const KComponentData&)
    {19, 28, 100, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 20, 2},	//177 Kate::XMLGUIClient::XMLGUIClient(const Kate::XMLGUIClient&)
    {19, 202, 0, 0, Smoke::mf_dtor, 0, 3 },	//178 Kate::XMLGUIClient::~XMLGUIClient()
    {42, 87, 49, 1, Smoke::mf_virtual, 131, 0},	//179 QObject::event(QEvent*)
    {42, 88, 102, 2, Smoke::mf_virtual, 131, 0},	//180 QObject::eventFilter(QObject*, QEvent*)
    {42, 168, 105, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//181 QObject::timerEvent(QTimerEvent*)
    {42, 42, 107, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//182 QObject::childEvent(QChildEvent*)
    {42, 67, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//183 QObject::customEvent(QEvent*)
    {42, 60, 23, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//184 QObject::connectNotify(const char*)
    {42, 70, 23, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//185 QObject::disconnectNotify(const char*)
    {56, 69, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 152, 0},	//186 QWidget::devType() const
    {56, 155, 109, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//187 QWidget::setVisible(bool)
    {56, 163, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 48, 0},	//188 QWidget::sizeHint() const
    {56, 114, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 48, 0},	//189 QWidget::minimumSizeHint() const
    {56, 96, 111, 1, Smoke::mf_const|Smoke::mf_virtual, 152, 0},	//190 QWidget::heightForWidth(int) const
    {56, 125, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 43, 0},	//191 QWidget::paintEngine() const
    {56, 87, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 131, 0},	//192 QWidget::event(QEvent*)
    {56, 117, 113, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//193 QWidget::mousePressEvent(QMouseEvent*)
    {56, 118, 113, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//194 QWidget::mouseReleaseEvent(QMouseEvent*)
    {56, 115, 113, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//195 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {56, 116, 113, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//196 QWidget::mouseMoveEvent(QMouseEvent*)
    {56, 187, 115, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//197 QWidget::wheelEvent(QWheelEvent*)
    {56, 102, 117, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//198 QWidget::keyPressEvent(QKeyEvent*)
    {56, 103, 117, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//199 QWidget::keyReleaseEvent(QKeyEvent*)
    {56, 91, 119, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//200 QWidget::focusInEvent(QFocusEvent*)
    {56, 93, 119, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//201 QWidget::focusOutEvent(QFocusEvent*)
    {56, 86, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//202 QWidget::enterEvent(QEvent*)
    {56, 105, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//203 QWidget::leaveEvent(QEvent*)
    {56, 126, 121, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//204 QWidget::paintEvent(QPaintEvent*)
    {56, 119, 123, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//205 QWidget::moveEvent(QMoveEvent*)
    {56, 151, 125, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//206 QWidget::resizeEvent(QResizeEvent*)
    {56, 47, 127, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//207 QWidget::closeEvent(QCloseEvent*)
    {56, 61, 129, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//208 QWidget::contextMenuEvent(QContextMenuEvent*)
    {56, 167, 131, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//209 QWidget::tabletEvent(QTabletEvent*)
    {56, 32, 133, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//210 QWidget::actionEvent(QActionEvent*)
    {56, 80, 135, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//211 QWidget::dragEnterEvent(QDragEnterEvent*)
    {56, 82, 137, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//212 QWidget::dragMoveEvent(QDragMoveEvent*)
    {56, 81, 139, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//213 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {56, 83, 141, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//214 QWidget::dropEvent(QDropEvent*)
    {56, 158, 143, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//215 QWidget::showEvent(QShowEvent*)
    {56, 97, 145, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//216 QWidget::hideEvent(QHideEvent*)
    {56, 192, 147, 1, Smoke::mf_protected|Smoke::mf_virtual, 131, 0},	//217 QWidget::x11Event(_XEvent*)
    {56, 40, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//218 QWidget::changeEvent(QEvent*)
    {56, 113, 149, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 152, 0},	//219 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {56, 100, 151, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//220 QWidget::inputMethodEvent(QInputMethodEvent*)
    {56, 101, 153, 1, Smoke::mf_const|Smoke::mf_virtual, 55, 0},	//221 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {56, 92, 109, 1, Smoke::mf_protected|Smoke::mf_virtual, 131, 0},	//222 QWidget::focusNextPrevChild(bool)
    {56, 166, 155, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//223 QWidget::styleChange(QStyle&)
    {56, 85, 109, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//224 QWidget::enabledChange(bool)
    {56, 127, 157, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//225 QWidget::paletteChange(const QPalette&)
    {56, 94, 159, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//226 QWidget::fontChange(const QFont&)
    {56, 189, 109, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//227 QWidget::windowActivationChange(bool)
    {56, 104, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//228 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    176,  // Kate::XMLGUIClient::XMLGUIClient(const KComponentData&)
    177,  // Kate::XMLGUIClient::XMLGUIClient(const Kate::XMLGUIClient&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {11, 2, 23},	// Kate::Application::Application$
    {11, 35, 27},	// Kate::Application::activeMainWindow
    {11, 75, 24},	// Kate::Application::documentManager
    {11, 84, 26},	// Kate::Application::editor
    {11, 111, 28},	// Kate::Application::mainWindows
    {11, 112, 16},	// Kate::Application::metaObject
    {11, 135, 25},	// Kate::Application::pluginManager
    {11, 145, 22},	// Kate::Application::qt_metacall$$?
    {11, 147, 17},	// Kate::Application::qt_metacast$
    {11, 165, 31},	// Kate::Application::staticMetaObject
    {11, 170, 29},	// Kate::Application::tr$
    {11, 171, 18},	// Kate::Application::tr$$
    {11, 172, 20},	// Kate::Application::tr$$$
    {11, 174, 30},	// Kate::Application::trUtf8$
    {11, 175, 19},	// Kate::Application::trUtf8$$
    {11, 176, 21},	// Kate::Application::trUtf8$$$
    {11, 194, 32},	// Kate::Application::~Application
    {12, 5, 40},	// Kate::DocumentManager::DocumentManager$
    {12, 44, 44},	// Kate::DocumentManager::closeDocument#
    {12, 46, 45},	// Kate::DocumentManager::closeDocumentList?
    {12, 72, 46},	// Kate::DocumentManager::documentCreated#
    {12, 74, 48},	// Kate::DocumentManager::documentDeleted#
    {12, 77, 47},	// Kate::DocumentManager::documentWillBeDeleted#
    {12, 78, 41},	// Kate::DocumentManager::documents
    {12, 90, 42},	// Kate::DocumentManager::findUrl#
    {12, 112, 33},	// Kate::DocumentManager::metaObject
    {12, 123, 51},	// Kate::DocumentManager::openUrl#
    {12, 124, 43},	// Kate::DocumentManager::openUrl#$
    {12, 145, 39},	// Kate::DocumentManager::qt_metacall$$?
    {12, 147, 34},	// Kate::DocumentManager::qt_metacast$
    {12, 165, 52},	// Kate::DocumentManager::staticMetaObject
    {12, 170, 49},	// Kate::DocumentManager::tr$
    {12, 171, 35},	// Kate::DocumentManager::tr$$
    {12, 172, 37},	// Kate::DocumentManager::tr$$$
    {12, 174, 50},	// Kate::DocumentManager::trUtf8$
    {12, 175, 36},	// Kate::DocumentManager::trUtf8$$
    {12, 176, 38},	// Kate::DocumentManager::trUtf8$$$
    {12, 195, 53},	// Kate::DocumentManager::~DocumentManager
    {13, 3, 88},	// Kate::MainWindow::Bottom
    {13, 9, 85},	// Kate::MainWindow::Left
    {13, 11, 61},	// Kate::MainWindow::MainWindow$
    {13, 24, 86},	// Kate::MainWindow::Right
    {13, 27, 87},	// Kate::MainWindow::Top
    {13, 34, 67},	// Kate::MainWindow::activateView#
    {13, 36, 66},	// Kate::MainWindow::activeView
    {13, 39, 64},	// Kate::MainWindow::centralWidget
    {13, 63, 75},	// Kate::MainWindow::createToolView#$$#$
    {13, 64, 74},	// Kate::MainWindow::createToolView$$#$
    {13, 95, 62},	// Kate::MainWindow::guiFactory
    {13, 99, 78},	// Kate::MainWindow::hideToolView#
    {13, 112, 54},	// Kate::MainWindow::metaObject
    {13, 121, 76},	// Kate::MainWindow::moveToolView#$
    {13, 123, 83},	// Kate::MainWindow::openUrl#
    {13, 124, 68},	// Kate::MainWindow::openUrl#$
    {13, 139, 80},	// Kate::MainWindow::pluginView$
    {13, 141, 72},	// Kate::MainWindow::pluginViewCreated$#
    {13, 143, 73},	// Kate::MainWindow::pluginViewDeleted$#
    {13, 145, 60},	// Kate::MainWindow::qt_metacall$$?
    {13, 147, 55},	// Kate::MainWindow::qt_metacast$
    {13, 160, 79},	// Kate::MainWindow::showPluginConfigPage#$
    {13, 162, 77},	// Kate::MainWindow::showToolView#
    {13, 165, 84},	// Kate::MainWindow::staticMetaObject
    {13, 170, 81},	// Kate::MainWindow::tr$
    {13, 171, 56},	// Kate::MainWindow::tr$$
    {13, 172, 58},	// Kate::MainWindow::tr$$$
    {13, 174, 82},	// Kate::MainWindow::trUtf8$
    {13, 175, 57},	// Kate::MainWindow::trUtf8$$
    {13, 176, 59},	// Kate::MainWindow::trUtf8$$$
    {13, 178, 71},	// Kate::MainWindow::unhandledShortcutOverride#
    {13, 182, 69},	// Kate::MainWindow::viewChanged
    {13, 184, 70},	// Kate::MainWindow::viewCreated#
    {13, 185, 65},	// Kate::MainWindow::views
    {13, 188, 63},	// Kate::MainWindow::window
    {13, 196, 89},	// Kate::MainWindow::~MainWindow
    {14, 12, 104},	// Kate::Plugin::Plugin
    {14, 13, 105},	// Kate::Plugin::Plugin#
    {14, 14, 97},	// Kate::Plugin::Plugin#$
    {14, 37, 98},	// Kate::Plugin::application
    {14, 66, 99},	// Kate::Plugin::createView#
    {14, 112, 90},	// Kate::Plugin::metaObject
    {14, 145, 96},	// Kate::Plugin::qt_metacall$$?
    {14, 147, 91},	// Kate::Plugin::qt_metacast$
    {14, 149, 100},	// Kate::Plugin::readSessionConfig#$
    {14, 165, 106},	// Kate::Plugin::staticMetaObject
    {14, 170, 102},	// Kate::Plugin::tr$
    {14, 171, 92},	// Kate::Plugin::tr$$
    {14, 172, 94},	// Kate::Plugin::tr$$$
    {14, 174, 103},	// Kate::Plugin::trUtf8$
    {14, 175, 93},	// Kate::Plugin::trUtf8$$
    {14, 176, 95},	// Kate::Plugin::trUtf8$$$
    {14, 191, 101},	// Kate::Plugin::writeSessionConfig#$
    {14, 197, 107},	// Kate::Plugin::~Plugin
    {15, 15, 122},	// Kate::PluginConfigPage::PluginConfigPage
    {15, 16, 123},	// Kate::PluginConfigPage::PluginConfigPage#
    {15, 17, 115},	// Kate::PluginConfigPage::PluginConfigPage#$
    {15, 38, 116},	// Kate::PluginConfigPage::apply
    {15, 41, 119},	// Kate::PluginConfigPage::changed
    {15, 68, 118},	// Kate::PluginConfigPage::defaults
    {15, 112, 108},	// Kate::PluginConfigPage::metaObject
    {15, 145, 114},	// Kate::PluginConfigPage::qt_metacall$$?
    {15, 147, 109},	// Kate::PluginConfigPage::qt_metacast$
    {15, 150, 117},	// Kate::PluginConfigPage::reset
    {15, 165, 124},	// Kate::PluginConfigPage::staticMetaObject
    {15, 170, 120},	// Kate::PluginConfigPage::tr$
    {15, 171, 110},	// Kate::PluginConfigPage::tr$$
    {15, 172, 112},	// Kate::PluginConfigPage::tr$$$
    {15, 174, 121},	// Kate::PluginConfigPage::trUtf8$
    {15, 175, 111},	// Kate::PluginConfigPage::trUtf8$$
    {15, 176, 113},	// Kate::PluginConfigPage::trUtf8$$$
    {15, 198, 125},	// Kate::PluginConfigPage::~PluginConfigPage
    {16, 18, 126},	// Kate::PluginConfigPageInterface::PluginConfigPageInterface
    {16, 19, 133},	// Kate::PluginConfigPageInterface::PluginConfigPageInterface#
    {16, 49, 134},	// Kate::PluginConfigPageInterface::configPage
    {16, 50, 135},	// Kate::PluginConfigPageInterface::configPage$
    {16, 51, 136},	// Kate::PluginConfigPageInterface::configPage$#
    {16, 52, 129},	// Kate::PluginConfigPageInterface::configPage$#$
    {16, 53, 138},	// Kate::PluginConfigPageInterface::configPageFullName
    {16, 54, 131},	// Kate::PluginConfigPageInterface::configPageFullName$
    {16, 55, 139},	// Kate::PluginConfigPageInterface::configPageIcon
    {16, 56, 132},	// Kate::PluginConfigPageInterface::configPageIcon$
    {16, 57, 137},	// Kate::PluginConfigPageInterface::configPageName
    {16, 58, 130},	// Kate::PluginConfigPageInterface::configPageName$
    {16, 59, 128},	// Kate::PluginConfigPageInterface::configPages
    {16, 132, 127},	// Kate::PluginConfigPageInterface::pluginConfigPageInterfaceNumber
    {16, 199, 140},	// Kate::PluginConfigPageInterface::~PluginConfigPageInterface
    {17, 21, 148},	// Kate::PluginManager::PluginManager$
    {17, 107, 157},	// Kate::PluginManager::loadPlugin$
    {17, 108, 151},	// Kate::PluginManager::loadPlugin$$
    {17, 112, 141},	// Kate::PluginManager::metaObject
    {17, 129, 149},	// Kate::PluginManager::plugin$
    {17, 131, 150},	// Kate::PluginManager::pluginAvailable$
    {17, 134, 153},	// Kate::PluginManager::pluginLoaded$#
    {17, 137, 154},	// Kate::PluginManager::pluginUnloaded$#
    {17, 145, 147},	// Kate::PluginManager::qt_metacall$$?
    {17, 147, 142},	// Kate::PluginManager::qt_metacast$
    {17, 165, 159},	// Kate::PluginManager::staticMetaObject
    {17, 170, 155},	// Kate::PluginManager::tr$
    {17, 171, 143},	// Kate::PluginManager::tr$$
    {17, 172, 145},	// Kate::PluginManager::tr$$$
    {17, 174, 156},	// Kate::PluginManager::trUtf8$
    {17, 175, 144},	// Kate::PluginManager::trUtf8$$
    {17, 176, 146},	// Kate::PluginManager::trUtf8$$$
    {17, 180, 158},	// Kate::PluginManager::unloadPlugin$
    {17, 181, 152},	// Kate::PluginManager::unloadPlugin$$
    {17, 200, 160},	// Kate::PluginManager::~PluginManager
    {18, 23, 168},	// Kate::PluginView::PluginView#
    {18, 110, 169},	// Kate::PluginView::mainWindow
    {18, 112, 161},	// Kate::PluginView::metaObject
    {18, 145, 167},	// Kate::PluginView::qt_metacall$$?
    {18, 147, 162},	// Kate::PluginView::qt_metacast$
    {18, 149, 170},	// Kate::PluginView::readSessionConfig#$
    {18, 165, 174},	// Kate::PluginView::staticMetaObject
    {18, 170, 172},	// Kate::PluginView::tr$
    {18, 171, 163},	// Kate::PluginView::tr$$
    {18, 172, 165},	// Kate::PluginView::tr$$$
    {18, 174, 173},	// Kate::PluginView::trUtf8$
    {18, 175, 164},	// Kate::PluginView::trUtf8$$
    {18, 176, 166},	// Kate::PluginView::trUtf8$$$
    {18, 191, 171},	// Kate::PluginView::writeSessionConfig#$
    {18, 201, 175},	// Kate::PluginView::~PluginView
    {19, 29, -1},	// Kate::XMLGUIClient::XMLGUIClient#
    {19, 202, 178},	// Kate::XMLGUIClient::~XMLGUIClient
};

}

extern "C" {

SMOKE_IMPORT void init_kdeui_Smoke();
SMOKE_IMPORT void init_kparts_Smoke();
SMOKE_IMPORT void init_ktexteditor_Smoke();

static bool initialized = false;
Smoke *kate_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_kate_Smoke() {
    init_kdeui_Smoke();
    init_kparts_Smoke();
    init_ktexteditor_Smoke();
    if (initialized) return;
    kate_Smoke = new Smoke(
        "kate",
        __smokekate::classes, 56,
        __smokekate::methods, 229,
        __smokekate::methodMaps, 163,
        __smokekate::methodNames, 202,
        __smokekate::types, 156,
        __smokekate::inheritanceList,
        __smokekate::argumentList,
        __smokekate::ambiguousMethodList,
        __smokekate::cast );
    initialized = true;
}

void delete_kate_Smoke() { delete kate_Smoke; }

}
