#include <soprano_includes.h>

#include <smoke.h>
#include <sopranoserver_smoke.h>

namespace __smokesopranoserver {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBool
      switch(to) {
        case 1: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 2:   //QChildEvent
      switch(to) {
        case 2: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QEvent
      switch(to) {
        case 3: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 5:   //QMetaObject
      switch(to) {
        case 5: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 6:   //QObject
      switch(to) {
        case 6: return (void*)(QObject*)xptr;
        case 21: return (void*)(Soprano::Server::ServerCore*)(QObject*)xptr;
        case 20: return (void*)(Soprano::Server::DBusExportModel*)(QObject*)xptr;
        case 19: return (void*)(Soprano::Server::DBusExportIterator*)(QObject*)xptr;
        default: return xptr;
      }
    case 7:   //QRegExp
      switch(to) {
        case 7: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 8:   //QTextStream
      switch(to) {
        case 8: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 9:   //QTimerEvent
      switch(to) {
        case 9: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 10:   //Soprano::Backend
      switch(to) {
        case 13: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Backend*)xptr;
        case 10: return (void*)(Soprano::Backend*)xptr;
        default: return xptr;
      }
    case 11:   //Soprano::BackendSetting
      switch(to) {
        case 11: return (void*)(Soprano::BackendSetting*)xptr;
        default: return xptr;
      }
    case 12:   //Soprano::Error::Error
      switch(to) {
        case 12: return (void*)(Soprano::Error::Error*)xptr;
        default: return xptr;
      }
    case 13:   //Soprano::Error::ErrorCache
      switch(to) {
        case 13: return (void*)(Soprano::Error::ErrorCache*)xptr;
        case 21: return (void*)(Soprano::Server::ServerCore*)(Soprano::Error::ErrorCache*)xptr;
        case 20: return (void*)(Soprano::Server::DBusExportModel*)(Soprano::Error::ErrorCache*)xptr;
        case 19: return (void*)(Soprano::Server::DBusExportIterator*)(Soprano::Error::ErrorCache*)xptr;
        default: return xptr;
      }
    case 14:   //Soprano::FilterModel
      switch(to) {
        case 15: return (void*)(Soprano::Model*)(Soprano::FilterModel*)xptr;
        case 6: return (void*)(QObject*)(Soprano::FilterModel*)xptr;
        case 13: return (void*)(Soprano::Error::ErrorCache*)(Soprano::FilterModel*)xptr;
        case 14: return (void*)(Soprano::FilterModel*)xptr;
        case 20: return (void*)(Soprano::Server::DBusExportModel*)(Soprano::FilterModel*)xptr;
        default: return xptr;
      }
    case 15:   //Soprano::Model
      switch(to) {
        case 6: return (void*)(QObject*)(Soprano::Model*)xptr;
        case 13: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Model*)xptr;
        case 15: return (void*)(Soprano::Model*)xptr;
        case 20: return (void*)(Soprano::Server::DBusExportModel*)(Soprano::Model*)xptr;
        default: return xptr;
      }
    case 16:   //Soprano::Node
      switch(to) {
        case 16: return (void*)(Soprano::Node*)xptr;
        default: return xptr;
      }
    case 17:   //Soprano::NodeIterator
      switch(to) {
        case 17: return (void*)(Soprano::NodeIterator*)xptr;
        default: return xptr;
      }
    case 18:   //Soprano::QueryResultIterator
      switch(to) {
        case 18: return (void*)(Soprano::QueryResultIterator*)xptr;
        default: return xptr;
      }
    case 19:   //Soprano::Server::DBusExportIterator
      switch(to) {
        case 6: return (void*)(QObject*)(Soprano::Server::DBusExportIterator*)xptr;
        case 13: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Server::DBusExportIterator*)xptr;
        case 19: return (void*)(Soprano::Server::DBusExportIterator*)xptr;
        default: return xptr;
      }
    case 20:   //Soprano::Server::DBusExportModel
      switch(to) {
        case 14: return (void*)(Soprano::FilterModel*)(Soprano::Server::DBusExportModel*)xptr;
        case 15: return (void*)(Soprano::Model*)(Soprano::Server::DBusExportModel*)xptr;
        case 6: return (void*)(QObject*)(Soprano::Server::DBusExportModel*)xptr;
        case 13: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Server::DBusExportModel*)xptr;
        case 20: return (void*)(Soprano::Server::DBusExportModel*)xptr;
        default: return xptr;
      }
    case 21:   //Soprano::Server::ServerCore
      switch(to) {
        case 6: return (void*)(QObject*)(Soprano::Server::ServerCore*)xptr;
        case 13: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Server::ServerCore*)xptr;
        case 21: return (void*)(Soprano::Server::ServerCore*)xptr;
        default: return xptr;
      }
    case 22:   //Soprano::Statement
      switch(to) {
        case 22: return (void*)(Soprano::Statement*)xptr;
        default: return xptr;
      }
    case 23:   //Soprano::StatementIterator
      switch(to) {
        case 23: return (void*)(Soprano::StatementIterator*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    6, 13, 0,	// 1: QObject, Soprano::Error::ErrorCache
    14, 0,	// 4: Soprano::FilterModel
};

// These are the xenum functions for manipulating enum pointers

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Server__DBusExportIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Server__DBusExportModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Server__ServerCore(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBool", true, 0, 0, 0, 0, 0 },	//1
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QEvent", true, 0, 0, 0, 0, 0 },	//3
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, 0, Smoke::cf_namespace, 0 },	//4
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//5
    { "QObject", true, 0, 0, 0, 0, 0 },	//6
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//7
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//8
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//9
    { "Soprano::Backend", true, 0, 0, 0, 0, 0 },	//10
    { "Soprano::BackendSetting", true, 0, 0, 0, 0, 0 },	//11
    { "Soprano::Error::Error", true, 0, 0, 0, 0, 0 },	//12
    { "Soprano::Error::ErrorCache", true, 0, 0, 0, 0, 0 },	//13
    { "Soprano::FilterModel", true, 0, 0, 0, 0, 0 },	//14
    { "Soprano::Model", true, 0, 0, 0, 0, 0 },	//15
    { "Soprano::Node", true, 0, 0, 0, 0, 0 },	//16
    { "Soprano::NodeIterator", true, 0, 0, 0, 0, 0 },	//17
    { "Soprano::QueryResultIterator", true, 0, 0, 0, 0, 0 },	//18
    { "Soprano::Server::DBusExportIterator", false, 1, xcall_Soprano__Server__DBusExportIterator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Server::DBusExportIterator) },	//19
    { "Soprano::Server::DBusExportModel", false, 4, xcall_Soprano__Server__DBusExportModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Server::DBusExportModel) },	//20
    { "Soprano::Server::ServerCore", false, 1, xcall_Soprano__Server__ServerCore, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Server::ServerCore) },	//21
    { "Soprano::Statement", true, 0, 0, 0, 0, 0 },	//22
    { "Soprano::StatementIterator", true, 0, 0, 0, 0, 0 },	//23
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QBool", 1, Smoke::t_class|Smoke::tf_stack },	//1
    { "QChildEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QEvent*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "QList<Soprano::BackendSetting>", 0, Smoke::t_voidp|Smoke::tf_stack },	//4
    { "QMetaObject::Call", 5, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QObject*", 6, Smoke::t_class|Smoke::tf_ptr },	//6
    { "QRegExp&", 7, Smoke::t_class|Smoke::tf_ref },	//7
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//8
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//9
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//10
    { "QTextStream&", 8, Smoke::t_class|Smoke::tf_ref },	//11
    { "QTimerEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//12
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//13
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//14
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//15
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//16
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//17
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//18
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//19
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//20
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//22
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//23
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//24
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//26
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//33
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Soprano::BackendFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Soprano::BackendOption", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Soprano::BackendSetting", 11, Smoke::t_class|Smoke::tf_stack },	//87
    { "Soprano::Error::Error", 12, Smoke::t_class|Smoke::tf_stack },	//88
    { "Soprano::Error::ErrorCode", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Soprano::Inference::StandardRuleSet", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Soprano::Model*", 15, Smoke::t_class|Smoke::tf_ptr },	//91
    { "Soprano::Node", 16, Smoke::t_class|Smoke::tf_stack },	//92
    { "Soprano::NodeIterator", 17, Smoke::t_class|Smoke::tf_stack },	//93
    { "Soprano::Query::QueryLanguage", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Soprano::QueryResultIterator", 18, Smoke::t_class|Smoke::tf_stack },	//95
    { "Soprano::RdfSerialization", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Soprano::Server::DBusExportIterator*", 19, Smoke::t_class|Smoke::tf_ptr },	//97
    { "Soprano::Server::DBusExportModel*", 20, Smoke::t_class|Smoke::tf_ptr },	//98
    { "Soprano::Server::ServerCore*", 21, Smoke::t_class|Smoke::tf_ptr },	//99
    { "Soprano::StatementIterator", 23, Smoke::t_class|Smoke::tf_stack },	//100
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//101
    { "const QList<Soprano::BackendSetting>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//102
    { "const QMetaObject&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//103
    { "const QMetaObject*", 5, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//104
    { "const QRegExp&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//105
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//106
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//107
    { "const Soprano::Backend*", 10, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//108
    { "const Soprano::Statement&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//109
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//110
    { "const unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack|Smoke::tf_const },	//111
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//112
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//113
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//114
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//115
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    3, 0,	//1  QEvent*
    6, 3, 0,	//3  QObject*, QEvent*
    12, 0,	//6  QTimerEvent*
    2, 0,	//8  QChildEvent*
    110, 0,	//10  const char*
    91, 0,	//12  Soprano::Model*
    109, 0,	//14  const Soprano::Statement&
    106, 94, 106, 0,	//16  const QString&, Soprano::Query::QueryLanguage, const QString&
    11, 0,	//20  QTextStream&
    110, 110, 0,	//22  const char*, const char*
    110, 110, 112, 0,	//25  const char*, const char*, int
    5, 112, 115, 0,	//29  QMetaObject::Call, int, void**
    100, 6, 0,	//33  Soprano::StatementIterator, QObject*
    93, 6, 0,	//36  Soprano::NodeIterator, QObject*
    95, 6, 0,	//39  Soprano::QueryResultIterator, QObject*
    101, 0,	//42  bool
    106, 106, 0,	//44  const QString&, const QString&
    100, 0,	//47  Soprano::StatementIterator
    93, 0,	//49  Soprano::NodeIterator
    95, 0,	//51  Soprano::QueryResultIterator
    106, 0,	//53  const QString&
    6, 0,	//55  QObject*
    108, 0,	//57  const Soprano::Backend*
    102, 0,	//59  const QList<Soprano::BackendSetting>&
    112, 0,	//61  int
    113, 0,	//63  unsigned short
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "DBusExportIterator",	//1
    "DBusExportIterator#",	//2
    "DBusExportIterator##",	//3
    "DBusExportModel",	//4
    "DBusExportModel#",	//5
    "DEFAULT_PORT",	//6
    "ServerCore",	//7
    "ServerCore#",	//8
    "addStatement",	//9
    "allModels",	//10
    "backend",	//11
    "backendSettings",	//12
    "childEvent",	//13
    "connectNotify",	//14
    "containsAnyStatement",	//15
    "containsStatement",	//16
    "createBlankNode",	//17
    "createModel",	//18
    "createModel?",	//19
    "customEvent",	//20
    "dbusObjectPath",	//21
    "deleteOnClose",	//22
    "disconnectNotify",	//23
    "event",	//24
    "eventFilter",	//25
    "executeQuery",	//26
    "isEmpty",	//27
    "lastError",	//28
    "listContexts",	//29
    "listStatements",	//30
    "listen",	//31
    "listen$",	//32
    "maximumConnectionCount",	//33
    "metaObject",	//34
    "model",	//35
    "model$",	//36
    "nodeIterator",	//37
    "parentModel",	//38
    "parentStatementAdded",	//39
    "parentStatementRemoved",	//40
    "parentStatementsAdded",	//41
    "parentStatementsRemoved",	//42
    "qt_metacall",	//43
    "qt_metacall$$?",	//44
    "qt_metacast",	//45
    "qt_metacast$",	//46
    "queryResultIterator",	//47
    "registerAsDBusObject",	//48
    "registerAsDBusObject$",	//49
    "registerIterator",	//50
    "registerIterator$",	//51
    "registerIterator$$",	//52
    "registerModel",	//53
    "registerModel$",	//54
    "removeAllStatements",	//55
    "removeModel",	//56
    "removeModel$",	//57
    "removeStatement",	//58
    "serverPort",	//59
    "setBackend",	//60
    "setBackend#",	//61
    "setBackendSettings",	//62
    "setBackendSettings?",	//63
    "setDeleteOnClose",	//64
    "setDeleteOnClose$",	//65
    "setMaximumConnectionCount",	//66
    "setMaximumConnectionCount$",	//67
    "setParentModel",	//68
    "start",	//69
    "start$",	//70
    "statementCount",	//71
    "statementIterator",	//72
    "staticMetaObject",	//73
    "stop",	//74
    "timerEvent",	//75
    "tr",	//76
    "tr$",	//77
    "tr$$",	//78
    "tr$$$",	//79
    "trUtf8",	//80
    "trUtf8$",	//81
    "trUtf8$$",	//82
    "trUtf8$$$",	//83
    "unregisterIterator",	//84
    "unregisterModel",	//85
    "write",	//86
    "~DBusExportIterator",	//87
    "~DBusExportModel",	//88
    "~ServerCore",	//89
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {6, 24, 1, 1, Smoke::mf_virtual, 101, 0},	//1 QObject::event(QEvent*)
    {6, 25, 3, 2, Smoke::mf_virtual, 101, 0},	//2 QObject::eventFilter(QObject*, QEvent*)
    {6, 75, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3 QObject::timerEvent(QTimerEvent*)
    {6, 13, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//4 QObject::childEvent(QChildEvent*)
    {6, 20, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//5 QObject::customEvent(QEvent*)
    {6, 14, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//6 QObject::connectNotify(const char*)
    {6, 23, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//7 QObject::disconnectNotify(const char*)
    {13, 28, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 88, 0},	//8 Soprano::Error::ErrorCache::lastError() const
    {14, 68, 12, 1, Smoke::mf_virtual, 0, 0},	//9 Soprano::FilterModel::setParentModel(Soprano::Model*)
    {14, 38, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 91, 0},	//10 Soprano::FilterModel::parentModel() const
    {14, 9, 14, 1, Smoke::mf_virtual, 89, 0},	//11 Soprano::FilterModel::addStatement(const Soprano::Statement&)
    {14, 58, 14, 1, Smoke::mf_virtual, 89, 0},	//12 Soprano::FilterModel::removeStatement(const Soprano::Statement&)
    {14, 55, 14, 1, Smoke::mf_virtual, 89, 0},	//13 Soprano::FilterModel::removeAllStatements(const Soprano::Statement&)
    {14, 30, 14, 1, Smoke::mf_const|Smoke::mf_virtual, 100, 0},	//14 Soprano::FilterModel::listStatements(const Soprano::Statement&) const
    {14, 29, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 93, 0},	//15 Soprano::FilterModel::listContexts() const
    {14, 26, 16, 3, Smoke::mf_const|Smoke::mf_virtual, 95, 0},	//16 Soprano::FilterModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {14, 16, 14, 1, Smoke::mf_const|Smoke::mf_virtual, 101, 0},	//17 Soprano::FilterModel::containsStatement(const Soprano::Statement&) const
    {14, 15, 14, 1, Smoke::mf_const|Smoke::mf_virtual, 101, 0},	//18 Soprano::FilterModel::containsAnyStatement(const Soprano::Statement&) const
    {14, 27, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 101, 0},	//19 Soprano::FilterModel::isEmpty() const
    {14, 71, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 112, 0},	//20 Soprano::FilterModel::statementCount() const
    {14, 86, 20, 1, Smoke::mf_const|Smoke::mf_virtual, 89, 0},	//21 Soprano::FilterModel::write(QTextStream&) const
    {14, 17, 0, 0, Smoke::mf_virtual, 92, 0},	//22 Soprano::FilterModel::createBlankNode()
    {14, 41, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//23 Soprano::FilterModel::parentStatementsAdded()
    {14, 42, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//24 Soprano::FilterModel::parentStatementsRemoved()
    {14, 39, 14, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//25 Soprano::FilterModel::parentStatementAdded(const Soprano::Statement&)
    {14, 40, 14, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//26 Soprano::FilterModel::parentStatementRemoved(const Soprano::Statement&)
    {19, 34, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 104, 1},	//27 Soprano::Server::DBusExportIterator::metaObject() const
    {19, 45, 10, 1, Smoke::mf_virtual, 114, 2},	//28 Soprano::Server::DBusExportIterator::qt_metacast(const char*)
    {19, 76, 22, 2, Smoke::mf_static, 8, 3},	//29 Soprano::Server::DBusExportIterator::tr(const char*, const char*)
    {19, 80, 22, 2, Smoke::mf_static, 8, 4},	//30 Soprano::Server::DBusExportIterator::trUtf8(const char*, const char*)
    {19, 76, 25, 3, Smoke::mf_static, 8, 5},	//31 Soprano::Server::DBusExportIterator::tr(const char*, const char*, int)
    {19, 80, 25, 3, Smoke::mf_static, 8, 6},	//32 Soprano::Server::DBusExportIterator::trUtf8(const char*, const char*, int)
    {19, 43, 29, 3, Smoke::mf_virtual, 112, 7},	//33 Soprano::Server::DBusExportIterator::qt_metacall(QMetaObject::Call, int, void**)
    {19, 1, 33, 2, Smoke::mf_ctor, 97, 8},	//34 Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::StatementIterator, QObject*)
    {19, 1, 36, 2, Smoke::mf_ctor, 97, 9},	//35 Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::NodeIterator, QObject*)
    {19, 1, 39, 2, Smoke::mf_ctor, 97, 10},	//36 Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::QueryResultIterator, QObject*)
    {19, 72, 0, 0, Smoke::mf_const, 100, 11},	//37 Soprano::Server::DBusExportIterator::statementIterator() const
    {19, 37, 0, 0, Smoke::mf_const, 93, 12},	//38 Soprano::Server::DBusExportIterator::nodeIterator() const
    {19, 47, 0, 0, Smoke::mf_const, 95, 13},	//39 Soprano::Server::DBusExportIterator::queryResultIterator() const
    {19, 21, 0, 0, Smoke::mf_const, 8, 14},	//40 Soprano::Server::DBusExportIterator::dbusObjectPath() const
    {19, 22, 0, 0, Smoke::mf_const, 101, 15},	//41 Soprano::Server::DBusExportIterator::deleteOnClose() const
    {19, 64, 42, 1, Smoke::mf_slot, 0, 16},	//42 Soprano::Server::DBusExportIterator::setDeleteOnClose(bool)
    {19, 50, 44, 2, Smoke::mf_slot, 101, 17},	//43 Soprano::Server::DBusExportIterator::registerIterator(const QString&, const QString&)
    {19, 84, 0, 0, Smoke::mf_slot, 0, 18},	//44 Soprano::Server::DBusExportIterator::unregisterIterator()
    {19, 76, 10, 1, Smoke::mf_static, 8, 19},	//45 Soprano::Server::DBusExportIterator::tr(const char*)
    {19, 80, 10, 1, Smoke::mf_static, 8, 20},	//46 Soprano::Server::DBusExportIterator::trUtf8(const char*)
    {19, 1, 47, 1, Smoke::mf_ctor, 97, 21},	//47 Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::StatementIterator)
    {19, 1, 49, 1, Smoke::mf_ctor, 97, 22},	//48 Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::NodeIterator)
    {19, 1, 51, 1, Smoke::mf_ctor, 97, 23},	//49 Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::QueryResultIterator)
    {19, 50, 53, 1, Smoke::mf_slot, 101, 24},	//50 Soprano::Server::DBusExportIterator::registerIterator(const QString&)
    {19, 73, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 103, 25},	//51 Soprano::Server::DBusExportIterator::staticMetaObject() const
    {19, 87, 0, 0, Smoke::mf_dtor, 0, 26 },	//52 Soprano::Server::DBusExportIterator::~DBusExportIterator()
    {20, 34, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 104, 1},	//53 Soprano::Server::DBusExportModel::metaObject() const
    {20, 45, 10, 1, Smoke::mf_virtual, 114, 2},	//54 Soprano::Server::DBusExportModel::qt_metacast(const char*)
    {20, 76, 22, 2, Smoke::mf_static, 8, 3},	//55 Soprano::Server::DBusExportModel::tr(const char*, const char*)
    {20, 80, 22, 2, Smoke::mf_static, 8, 4},	//56 Soprano::Server::DBusExportModel::trUtf8(const char*, const char*)
    {20, 76, 25, 3, Smoke::mf_static, 8, 5},	//57 Soprano::Server::DBusExportModel::tr(const char*, const char*, int)
    {20, 80, 25, 3, Smoke::mf_static, 8, 6},	//58 Soprano::Server::DBusExportModel::trUtf8(const char*, const char*, int)
    {20, 43, 29, 3, Smoke::mf_virtual, 112, 7},	//59 Soprano::Server::DBusExportModel::qt_metacall(QMetaObject::Call, int, void**)
    {20, 4, 12, 1, Smoke::mf_ctor, 98, 8},	//60 Soprano::Server::DBusExportModel::DBusExportModel(Soprano::Model*)
    {20, 53, 53, 1, 0, 101, 9},	//61 Soprano::Server::DBusExportModel::registerModel(const QString&)
    {20, 85, 0, 0, 0, 0, 10},	//62 Soprano::Server::DBusExportModel::unregisterModel()
    {20, 21, 0, 0, Smoke::mf_const, 8, 11},	//63 Soprano::Server::DBusExportModel::dbusObjectPath() const
    {20, 76, 10, 1, Smoke::mf_static, 8, 12},	//64 Soprano::Server::DBusExportModel::tr(const char*)
    {20, 80, 10, 1, Smoke::mf_static, 8, 13},	//65 Soprano::Server::DBusExportModel::trUtf8(const char*)
    {20, 4, 0, 0, Smoke::mf_ctor, 98, 14},	//66 Soprano::Server::DBusExportModel::DBusExportModel()
    {20, 73, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 103, 15},	//67 Soprano::Server::DBusExportModel::staticMetaObject() const
    {20, 88, 0, 0, Smoke::mf_dtor, 0, 16 },	//68 Soprano::Server::DBusExportModel::~DBusExportModel()
    {21, 34, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 104, 1},	//69 Soprano::Server::ServerCore::metaObject() const
    {21, 45, 10, 1, Smoke::mf_virtual, 114, 2},	//70 Soprano::Server::ServerCore::qt_metacast(const char*)
    {21, 76, 22, 2, Smoke::mf_static, 8, 3},	//71 Soprano::Server::ServerCore::tr(const char*, const char*)
    {21, 80, 22, 2, Smoke::mf_static, 8, 4},	//72 Soprano::Server::ServerCore::trUtf8(const char*, const char*)
    {21, 76, 25, 3, Smoke::mf_static, 8, 5},	//73 Soprano::Server::ServerCore::tr(const char*, const char*, int)
    {21, 80, 25, 3, Smoke::mf_static, 8, 6},	//74 Soprano::Server::ServerCore::trUtf8(const char*, const char*, int)
    {21, 43, 29, 3, Smoke::mf_virtual, 112, 7},	//75 Soprano::Server::ServerCore::qt_metacall(QMetaObject::Call, int, void**)
    {21, 7, 55, 1, Smoke::mf_ctor, 99, 8},	//76 Soprano::Server::ServerCore::ServerCore(QObject*)
    {21, 60, 57, 1, 0, 0, 9},	//77 Soprano::Server::ServerCore::setBackend(const Soprano::Backend*)
    {21, 11, 0, 0, Smoke::mf_const, 108, 10},	//78 Soprano::Server::ServerCore::backend() const
    {21, 62, 59, 1, 0, 0, 11},	//79 Soprano::Server::ServerCore::setBackendSettings(const QList<Soprano::BackendSetting>&)
    {21, 12, 0, 0, Smoke::mf_const, 4, 12},	//80 Soprano::Server::ServerCore::backendSettings() const
    {21, 66, 61, 1, 0, 0, 13},	//81 Soprano::Server::ServerCore::setMaximumConnectionCount(int)
    {21, 33, 0, 0, Smoke::mf_const, 112, 14},	//82 Soprano::Server::ServerCore::maximumConnectionCount() const
    {21, 35, 53, 1, Smoke::mf_virtual, 91, 15},	//83 Soprano::Server::ServerCore::model(const QString&)
    {21, 56, 53, 1, Smoke::mf_virtual, 0, 16},	//84 Soprano::Server::ServerCore::removeModel(const QString&)
    {21, 10, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 9, 17},	//85 Soprano::Server::ServerCore::allModels() const
    {21, 69, 53, 1, 0, 101, 18},	//86 Soprano::Server::ServerCore::start(const QString&)
    {21, 31, 63, 1, 0, 101, 19},	//87 Soprano::Server::ServerCore::listen(unsigned short)
    {21, 74, 0, 0, 0, 0, 20},	//88 Soprano::Server::ServerCore::stop()
    {21, 59, 0, 0, Smoke::mf_const, 113, 21},	//89 Soprano::Server::ServerCore::serverPort() const
    {21, 48, 53, 1, 0, 0, 22},	//90 Soprano::Server::ServerCore::registerAsDBusObject(const QString&)
    {21, 18, 59, 1, Smoke::mf_protected|Smoke::mf_virtual, 91, 23},	//91 Soprano::Server::ServerCore::createModel(const QList<Soprano::BackendSetting>&)
    {21, 76, 10, 1, Smoke::mf_static, 8, 24},	//92 Soprano::Server::ServerCore::tr(const char*)
    {21, 80, 10, 1, Smoke::mf_static, 8, 25},	//93 Soprano::Server::ServerCore::trUtf8(const char*)
    {21, 7, 0, 0, Smoke::mf_ctor, 99, 26},	//94 Soprano::Server::ServerCore::ServerCore()
    {21, 69, 0, 0, 0, 101, 27},	//95 Soprano::Server::ServerCore::start()
    {21, 31, 0, 0, 0, 101, 28},	//96 Soprano::Server::ServerCore::listen()
    {21, 48, 0, 0, 0, 0, 29},	//97 Soprano::Server::ServerCore::registerAsDBusObject()
    {21, 73, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 103, 30},	//98 Soprano::Server::ServerCore::staticMetaObject() const
    {21, 6, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 111, 31},	//99 Soprano::Server::ServerCore::DEFAULT_PORT() const
    {21, 89, 0, 0, Smoke::mf_dtor, 0, 32 },	//100 Soprano::Server::ServerCore::~ServerCore()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    47,  // Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::StatementIterator)
    48,  // Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::NodeIterator)
    49,  // Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::QueryResultIterator)
    0,
    34,  // Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::StatementIterator, QObject*)
    35,  // Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::NodeIterator, QObject*)
    36,  // Soprano::Server::DBusExportIterator::DBusExportIterator(Soprano::QueryResultIterator, QObject*)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {19, 2, -1},	// Soprano::Server::DBusExportIterator::DBusExportIterator#
    {19, 3, -5},	// Soprano::Server::DBusExportIterator::DBusExportIterator##
    {19, 21, 40},	// Soprano::Server::DBusExportIterator::dbusObjectPath
    {19, 22, 41},	// Soprano::Server::DBusExportIterator::deleteOnClose
    {19, 34, 27},	// Soprano::Server::DBusExportIterator::metaObject
    {19, 37, 38},	// Soprano::Server::DBusExportIterator::nodeIterator
    {19, 44, 33},	// Soprano::Server::DBusExportIterator::qt_metacall$$?
    {19, 46, 28},	// Soprano::Server::DBusExportIterator::qt_metacast$
    {19, 47, 39},	// Soprano::Server::DBusExportIterator::queryResultIterator
    {19, 51, 50},	// Soprano::Server::DBusExportIterator::registerIterator$
    {19, 52, 43},	// Soprano::Server::DBusExportIterator::registerIterator$$
    {19, 65, 42},	// Soprano::Server::DBusExportIterator::setDeleteOnClose$
    {19, 72, 37},	// Soprano::Server::DBusExportIterator::statementIterator
    {19, 73, 51},	// Soprano::Server::DBusExportIterator::staticMetaObject
    {19, 77, 45},	// Soprano::Server::DBusExportIterator::tr$
    {19, 78, 29},	// Soprano::Server::DBusExportIterator::tr$$
    {19, 79, 31},	// Soprano::Server::DBusExportIterator::tr$$$
    {19, 81, 46},	// Soprano::Server::DBusExportIterator::trUtf8$
    {19, 82, 30},	// Soprano::Server::DBusExportIterator::trUtf8$$
    {19, 83, 32},	// Soprano::Server::DBusExportIterator::trUtf8$$$
    {19, 84, 44},	// Soprano::Server::DBusExportIterator::unregisterIterator
    {19, 87, 52},	// Soprano::Server::DBusExportIterator::~DBusExportIterator
    {20, 4, 66},	// Soprano::Server::DBusExportModel::DBusExportModel
    {20, 5, 60},	// Soprano::Server::DBusExportModel::DBusExportModel#
    {20, 21, 63},	// Soprano::Server::DBusExportModel::dbusObjectPath
    {20, 34, 53},	// Soprano::Server::DBusExportModel::metaObject
    {20, 44, 59},	// Soprano::Server::DBusExportModel::qt_metacall$$?
    {20, 46, 54},	// Soprano::Server::DBusExportModel::qt_metacast$
    {20, 54, 61},	// Soprano::Server::DBusExportModel::registerModel$
    {20, 73, 67},	// Soprano::Server::DBusExportModel::staticMetaObject
    {20, 77, 64},	// Soprano::Server::DBusExportModel::tr$
    {20, 78, 55},	// Soprano::Server::DBusExportModel::tr$$
    {20, 79, 57},	// Soprano::Server::DBusExportModel::tr$$$
    {20, 81, 65},	// Soprano::Server::DBusExportModel::trUtf8$
    {20, 82, 56},	// Soprano::Server::DBusExportModel::trUtf8$$
    {20, 83, 58},	// Soprano::Server::DBusExportModel::trUtf8$$$
    {20, 85, 62},	// Soprano::Server::DBusExportModel::unregisterModel
    {20, 88, 68},	// Soprano::Server::DBusExportModel::~DBusExportModel
    {21, 6, 99},	// Soprano::Server::ServerCore::DEFAULT_PORT
    {21, 7, 94},	// Soprano::Server::ServerCore::ServerCore
    {21, 8, 76},	// Soprano::Server::ServerCore::ServerCore#
    {21, 10, 85},	// Soprano::Server::ServerCore::allModels
    {21, 11, 78},	// Soprano::Server::ServerCore::backend
    {21, 12, 80},	// Soprano::Server::ServerCore::backendSettings
    {21, 19, 91},	// Soprano::Server::ServerCore::createModel?
    {21, 31, 96},	// Soprano::Server::ServerCore::listen
    {21, 32, 87},	// Soprano::Server::ServerCore::listen$
    {21, 33, 82},	// Soprano::Server::ServerCore::maximumConnectionCount
    {21, 34, 69},	// Soprano::Server::ServerCore::metaObject
    {21, 36, 83},	// Soprano::Server::ServerCore::model$
    {21, 44, 75},	// Soprano::Server::ServerCore::qt_metacall$$?
    {21, 46, 70},	// Soprano::Server::ServerCore::qt_metacast$
    {21, 48, 97},	// Soprano::Server::ServerCore::registerAsDBusObject
    {21, 49, 90},	// Soprano::Server::ServerCore::registerAsDBusObject$
    {21, 57, 84},	// Soprano::Server::ServerCore::removeModel$
    {21, 59, 89},	// Soprano::Server::ServerCore::serverPort
    {21, 61, 77},	// Soprano::Server::ServerCore::setBackend#
    {21, 63, 79},	// Soprano::Server::ServerCore::setBackendSettings?
    {21, 67, 81},	// Soprano::Server::ServerCore::setMaximumConnectionCount$
    {21, 69, 95},	// Soprano::Server::ServerCore::start
    {21, 70, 86},	// Soprano::Server::ServerCore::start$
    {21, 73, 98},	// Soprano::Server::ServerCore::staticMetaObject
    {21, 74, 88},	// Soprano::Server::ServerCore::stop
    {21, 77, 92},	// Soprano::Server::ServerCore::tr$
    {21, 78, 71},	// Soprano::Server::ServerCore::tr$$
    {21, 79, 73},	// Soprano::Server::ServerCore::tr$$$
    {21, 81, 93},	// Soprano::Server::ServerCore::trUtf8$
    {21, 82, 72},	// Soprano::Server::ServerCore::trUtf8$$
    {21, 83, 74},	// Soprano::Server::ServerCore::trUtf8$$$
    {21, 89, 100},	// Soprano::Server::ServerCore::~ServerCore
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_soprano_Smoke();

static bool initialized = false;
Smoke *sopranoserver_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_sopranoserver_Smoke() {
    init_qtcore_Smoke();
    init_soprano_Smoke();
    if (initialized) return;
    sopranoserver_Smoke = new Smoke(
        "sopranoserver",
        __smokesopranoserver::classes, 23,
        __smokesopranoserver::methods, 101,
        __smokesopranoserver::methodMaps, 71,
        __smokesopranoserver::methodNames, 89,
        __smokesopranoserver::types, 115,
        __smokesopranoserver::inheritanceList,
        __smokesopranoserver::argumentList,
        __smokesopranoserver::ambiguousMethodList,
        __smokesopranoserver::cast );
    initialized = true;
}

void delete_sopranoserver_Smoke() { delete sopranoserver_Smoke; }

}
